gr::mapper::demapper_soft Class Reference

<+description of block+> More...

`#include <demapper_soft.h>`

Inheritance diagram for gr::mapper::demapper_soft:
[legend]

## Public Types

typedef boost::shared_ptr< demapper_soft > | sptr

## Static Public Member Functions

static sptr | make (modtype_t modtype, std::vector< int > symbol_values)
| Return a shared_ptr to a new instance of mapper::demapper_soft. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<demapper_soft> gr::mapper::demapper_soft::sptr

## Member Function Documentation

## make()

static sptr gr::mapper::demapper_soft::make | ( | modtype_t | modtype,
|  | std::vector< int > | symbol_values
| ) |  |

static

Return a shared_ptr to a new instance of mapper::demapper_soft.

To avoid accidental use of raw pointers, mapper::demapper_soft's constructor is in a private implementation class. mapper::demapper_soft::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- demapper_soft.h